Bug 11996

Summary: Default active currencies for ru-RU and uk-UA are wrong
Product: Koha Reporter: Galen Charlton <gmcharlt>
Component: Installation and upgrade (web-based installer)Assignee: Ella <ellawipatene>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: andrew, caroline.cyr-la-rose, david, ellawipatene, ethan.amohia, fridolin.somers, gmcharlt, katrin.fischer, victor
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
This fixes the currencies in the sample installer files for Russia (ru-RU; changes GRN -> UAH, default remains as RUB) and the Ukraine (uk-UA; changes GRN -> UAH).
Version(s) released in:
21.05.00,20.11.03,20.05.09
Attachments: Bug 11996: Made RUB default currency for ru-RU
Bug 11996: (follow-up) Updating the uk-UA currency
Bug 11996: (follow-up) Updating the uk-UA currency
Bug 11996: Made RUB default currency for ru-RU
Bug 11996: (follow-up) Updating the uk-UA currency

Description Galen Charlton 2014-03-25 15:08:51 UTC
As of the patch for bug 11939, the default currencies for Russia (ru-RU) and Ukraine (uk-UA) are "GRN".  As near as I can tell, nowadays it should be the RUB (ruble) for Russia and the UAH (hryvnia) for Ukraine.
Comment 1 Ethan 2019-01-17 02:45:28 UTC
Created attachment 84118 [details] [review]
Bug 11996: Made RUB default currency for ru-RU

Didn't know how to change the uk-UA default currency.
Comment 2 David Nind 2019-01-17 21:05:58 UTC
Hi Ethan.

I think the best course of action is to change the 'GRN line to ' UAH' in both files (installer/data/mysql/ru-RU/optional/sample_currency.sql and installer/data/mysql/uk-UA/optional/sample_currency.sql).

GRN was the old currency, but is now RUB for Russia and UAH for the Ukraine. The symbol for UAH remains as грн

For a list of currency codes see https://en.wikipedia.org/wiki/ISO_4217 and for the Ukraine see 
https://en.wikipedia.org/wiki/Ukrainian_hryvnia

David
Comment 3 David Nind 2019-01-19 23:05:06 UTC
(In reply to Ethan from comment #1)

> Didn't know how to change the uk-UA default currency.

The active column set to 1 in the sql will make it the default currency.

For the uk-UA sample_currency.sql you don't need to do anything if you change the 'GRN' entry to 'UAH' as there is a '1' already in the column.
Comment 4 Ella 2021-01-21 01:52:41 UTC
Created attachment 115486 [details] [review]
Bug 11996: (follow-up) Updating the uk-UA currency

I have changed GRN to UAH in both
installer/data/mysql/ru-RU/optional/sample_currency.sql and in
installer/data/mysql/uk-UA/optional/sample_currency.sql
Comment 5 Katrin Fischer 2021-01-21 18:16:29 UTC
Created attachment 115588 [details] [review]
Bug 11996: (follow-up) Updating the uk-UA currency

I have changed GRN to UAH in both
installer/data/mysql/ru-RU/optional/sample_currency.sql and in
installer/data/mysql/uk-UA/optional/sample_currency.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-01-21 18:17:05 UTC
Nice one, Ella!
Comment 7 Nick Clemens 2021-01-21 19:37:49 UTC
Created attachment 115607 [details] [review]
Bug 11996: Made RUB default currency for ru-RU

Didn't know how to change the uk-UA default currency.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2021-01-21 19:37:52 UTC
Created attachment 115608 [details] [review]
Bug 11996: (follow-up) Updating the uk-UA currency

I have changed GRN to UAH in both
installer/data/mysql/ru-RU/optional/sample_currency.sql and in
installer/data/mysql/uk-UA/optional/sample_currency.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-01-22 13:53:29 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-01-29 13:20:59 UTC
Pushed to 20.11.x for 20.11.03
Comment 11 Andrew Fuerste-Henry 2021-02-03 22:12:48 UTC
Pushed to 20.05.x for 20.05.09
Comment 12 Victor Grousset/tuxayo 2021-02-04 17:21:32 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.